Package be.ehealth.technicalconnector.beid.impl

# Class CommonsEidInstantiator

java.lang.Object
be.ehealth.technicalconnector.beid.impl.CommonsEidInstantiator

All Implemented Interfaces:
  `BeIDInstantiator`, `SessionServiceWithCache`

public class CommonsEidInstantiator extends Object implements BeIDInstantiator

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `CommonsEidInstantiator.EidMapper`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_AUTO_RECOVERY`
  Property to (des)activate AutoRecovery.
  `static final String`
  `PROP_BEID_ADAPTOR`
  String property to specify the implementation of `BeIDCardAdaptor` that must be used.
  `static final String`
  `PROP_CARDREADERSTICKINESS`
  Property to (des)activate CardReaderStickiness.
  `static final String`
  `PROP_LOGOFF`
  Property to (des)activate Logoff.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonsEidInstantiator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flushCache()`
  Method to flush the cache after invoking this method.
  `BeIDInfo`
  `instantiateBeIDInfo(String scope, boolean useCache)`
  `KeyStore`
  `instantiateKeyStore()`
  `KeyStore`
  `instantiateKeyStore(String scope, boolean useCache)`
  `void`
  `verifyPin(char[] pin)`
  `boolean`
  `worksWithDotNet()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_AUTO_RECOVERY

    public static final String PROP_AUTO_RECOVERY
    Property to (des)activate AutoRecovery. Default value is true
    This means that they can survive eID card removal/re-insert events.
    See Also:
      - Constant Field Values

  - ### PROP_LOGOFF

    public static final String PROP_LOGOFF
    Property to (des)activate Logoff. Default value is false
    This means if it set to true that you want de re-enter your pincode for every eid action
    See Also:
      - Constant Field Values

  - ### PROP_CARDREADERSTICKINESS

    public static final String PROP_CARDREADERSTICKINESS
    Property to (des)activate CardReaderStickiness. Default value is false
    Sets whether the auto recovery should use card reader stickiness. If set to true, the auto recovery will try to recover using the same card reader.
    See Also:
      - Constant Field Values

  - ### PROP_BEID_ADAPTOR

    public static final String PROP_BEID_ADAPTOR
    String property to specify the implementation of `BeIDCardAdaptor` that must be used.

    Default: be.ehealth.technicalconnector.beid.impl.CommonsEidAdaptor

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommonsEidInstantiator

    public CommonsEidInstantiator()

- ## Method Details

  - ### worksWithDotNet

    public boolean worksWithDotNet()
    Specified by:
      `worksWithDotNet` in interface `BeIDInstantiator`

  - ### instantiateBeIDInfo

    public BeIDInfo instantiateBeIDInfo(String scope, boolean useCache) throws TechnicalConnectorException
    Specified by:
      `instantiateBeIDInfo` in interface `BeIDInstantiator`
    Throws:
      `TechnicalConnectorException`

  - ### instantiateKeyStore

    public KeyStore instantiateKeyStore() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### instantiateKeyStore

    public KeyStore instantiateKeyStore(String scope, boolean useCache) throws TechnicalConnectorException
    Specified by:
      `instantiateKeyStore` in interface `BeIDInstantiator`
    Throws:
      `TechnicalConnectorException`

  - ### verifyPin

    public void verifyPin(char[] pin) throws TechnicalConnectorException
    Specified by:
      `verifyPin` in interface `BeIDInstantiator`
    Throws:
      `TechnicalConnectorException`

  - ### flushCache

    public void flushCache()
    Description copied from interface: `SessionServiceWithCache`
    Method to flush the cache after invoking this method.
    Specified by:
      `flushCache` in interface `SessionServiceWithCache`